1.	Download and extract the zip from git.
2.	Import the folder in eclipse and intellij. Wait until it will download all the dependency.
3.	After download completed. right click on the project folder and select run as spring boot app in eclipse.
4.	Now the application is running.use below URL to add and delete employee detail.

URL to update Delete and create employee detail.
ToCreate :-
1.	URL:localhost:8080/employess
2.	Method: POST
3.	BODY:- should contain JSON in following format
{

}
ToUpdate :-
1.	URL:localhost:8080/employess/{emp_id}
2.	Method: PUT
3.	BODY:- should contain JSON in following format
ToDelete :-
1.	URL:localhost:8080/employess/{emp_id}
2.	Method: DELETE
URL to update Delete and create employee address.
ToCreate :-
1.	URL:localhost:8080/employess/{emp_id}/address
2.	Method: POST
3.	BODY:- should contain JSON in following format
{

}
ToUpdate :-
1.	URL:localhost:8080/employees/{emp_id}/{emp_id}/address
2.	Method: PUT
3.	BODY:- should contain JSON in following format
ToDelete :-
1.	URL:localhost:8080/employess/{emp_id}/address
2.	Method: DELETE

URL to update Delete and create employee byaddresstype.
ToCreate :-
4.	URL:localhost:8080/employess/{emp_id}/addresstype/{type}
5.	Method: POST
6.	BODY:- should contain JSON in following format
{

}
ToUpdate :-
4.	URL:localhost:8080/employess/{emp_id}/addresstype/{type}
5.	Method: PUT
6.	BODY:- should contain JSON in following format
ToDelete :-
1.	URL:localhost:8080/employess/{emp_id}/addresstype/{type}
2.	Method: DELETE


For Testing the API URL I used RESTLET client google chrome extensions .
